EDIT - feature request #6953

use taxonNodeOutStreamPartitioner in CdmLightExport
09/15/2017 03:13 PM - Katja Luther

Status: Closed Start date:

Priority: Highest Due date:

Assignee: Katja Luther % Done: 100%
Category: cdmadapter Estimated time: 0:00 hour
Target version: Release 4.11

Severity: normal

Description

As suggested in some emails we should try to synchronize CDM light and DwC-A (and potential other exports) as much as possible.

DwC-A uses TaxonNodeOutStreamPartitioner in DwcaTaxExport.dolnvoke() which allows export large databases while the current
CDM light implementation still loads all taxa in the same session and therefore does not scale.

We should try to use TaxonNodeOutStreamPartitioner. The implementation should be more or less similar to DwC-A.

Associated revisions

Revision 86244fd8 - 09/20/2017 10:09 AM - Katja Luther

ref #6627: use taxonnodeFilter and partitioner for cdmLightExport

History

#1 - 11/01/2017 01:35 PM - Katja Luther

- Status changed from New to Resolved

this is still implemented, see commit.

#2 - 11/01/2017 01:37 PM - Katja Luther
- Status changed from Resolved to Closed

- % Done changed from 0 to 100
